## python-cmislib 0.5.1%2Bdfsg

=== debian/changelog ===
python-cmislib (0.5.1+dfsg-2) unstable; urgency=medium

  * Add python-iso8601 to Depends and Build-Depends.
  * Add fix_test_import.patch to fix error messages when building the
    documentation.
  * Use git URLs for Vcs-* fields.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Jun 2015 21:40:55 +0200

python-cmislib (0.5.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #787108).

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Apr 2015 15:17:54 +0200
