=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=cmislib

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d src/doc/.build/.doctrees -N src/doc/src src/doc/.build/html

override_dh_clean:
	rm -rf src/doc/.build/
	dh_clean
