## python-cmislib 0.5.1+dfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
http://pypi.debian.net/cmislib/cmislib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
