## python-cmislib 0.7.4

=== debian/changelog ===
python-cmislib (0.7.4-1~eob90+1) stretch-eobuilder; urgency=medium

  * Update and switch to https://pypi.org/project/cmislib-maykin/ fork.
  * Eobuilder version

 -- Frederic Peters <eobuilder@jenkins.entrouvert.org>  Wed, 03 Jun 2020 16:09:38 +0200
