=== debian/control ===
Source: python-cmislib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-httplib2,
               python-iso8601,
               python-setuptools,
               python-six,
               python3-all,
               python3-httplib2,
               python3-iso8601,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
Homepage: https://pypi.org/project/cmislib-maykin/

Package: python-cmislib
Architecture: all
Depends: python-iso8601,
         ${misc:Depends},
         ${python:Depends}
Description: CMIS client library for Python
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.

Package: python3-cmislib
Architecture: all
Depends: python3-iso8601,
         ${misc:Depends},
         ${python3:Depends}
Description: CMIS client library for Python 3
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.
 .
 This is the Python 3 version of the package.
